Skip to main content
PATCH
/
v0
/
user
/
strategies
/
{user_strategy_id}
Update User Strategy
curl --request PATCH \
  --url https://api.sumvin.com/v0/user/strategies/{user_strategy_id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "is_active": true,
  "configuration": {},
  "event_filter": {}
}
'
{
  "_links": {},
  "user_strategy": {
    "id": "<string>",
    "strategy": {
      "id": "<string>",
      "name": "<string>",
      "description": "<string>",
      "type": "<string>",
      "cron": "<string>",
      "base_prompt": "<string>",
      "created_at": 123,
      "event_topic": "<string>",
      "workflow_route": "<string>"
    },
    "connector": {
      "id": "<string>",
      "name": "<string>",
      "description": "<string>",
      "icon_url": "<string>",
      "auth_type": "<string>"
    },
    "is_active": true,
    "configuration": {},
    "created_at": 123,
    "event_filter": {}
  }
}

Headers

x-juno-orgid
string | null

Tenant org ID for multi-tenant auth

x-sumvin-token
string | null
x-juno-jwt
string | null

Path Parameters

user_strategy_id
string
required

Body

application/json
is_active
boolean | null

Pause/resume strategy

configuration
Configuration · object

Updated configuration

event_filter
Event Filter · object

Updated per-topic event filter

Response

User strategy updated successfully

HAL-style hypermedia links for navigation and available actions.

user_strategy
UserStrategyData · object
required